<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: polyhedron Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>polyhedron Struct Reference</h1><!-- doxytag: class="polyhedron" -->
<p><code>#include &lt;<a class="el" href="types_8h_source.html">types.h</a>&gt;</code></p>

<p><a href="structpolyhedron-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#a2a02cea8b7ba3dde415041b8b2373bc8">Dimension</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#a2db05293e731089b9198d45cf027bd1c">NbConstraints</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#a74cba037f5ac1c7182bf960d79d3f124">NbRays</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#af316f6440017b2e02fa3a387b2818cc9">NbEq</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#a9e7c80deeddf472a57bd54217f75c717">NbBid</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Value **&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#ab2691b8eb5d2dc43a509ac2094d2bc73">Constraint</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Value **&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#a1332db86327e189effc8798ab230f36a">Ray</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Value *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#a3681618067c7bf2a0bd5e805871283f5">p_Init</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#ac2aa52aede2212101bd130ba7a67663a">p_Init_size</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structpolyhedron.html">polyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#aab97126cb9e56431d40eaf4e68b3953d">next</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpolyhedron.html#ac1fb864c352ef93ef3030c35e98c2aed">flags</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="types_8h_source.html#l00109">109</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab2691b8eb5d2dc43a509ac2094d2bc73"></a><!-- doxytag: member="polyhedron::Constraint" ref="ab2691b8eb5d2dc43a509ac2094d2bc73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Value** <a class="el" href="structpolyhedron.html#ab2691b8eb5d2dc43a509ac2094d2bc73">polyhedron::Constraint</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00111">111</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l00314">Add_CEqualities()</a>, <a class="el" href="polyhedron_8c_source.html#l02293">AddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02661">AddRays()</a>, <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="matrix__addon_8c_source.html#l00032">constraintsView()</a>, <a class="el" href="polyhedron_8c_source.html#l04404">Disjoint_Domain()</a>, <a class="el" href="polyhedron_8c_source.html#l03608">DomainDifference()</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="polyhedron_8c_source.html#l03260">DomainSimplify()</a>, <a class="el" href="polyparam_8c_source.html#l00955">Elim_Columns()</a>, <a class="el" href="polyhedron_8c_source.html#l01715">Empty_Polyhedron()</a>, <a class="el" href="Lattice_8c_source.html#l00990">FindHermiteBasisofDomain()</a>, <a class="el" href="polyhedron_8c_source.html#l02902">FindSimple()</a>, <a class="el" href="homogenization_8c_source.html#l00031">homogenize()</a>, <a class="el" href="eval__ehrhart_8c_source.html#l00043">in_domain()</a>, <a class="el" href="ranking_8c_source.html#l00051">LexSmaller()</a>, <a class="el" href="polyhedron_8c_source.html#l03805">lower_upper_bounds()</a>, <a class="el" href="ehrhart_8c_source.html#l01063">old_Polyhedron_Preprocess()</a>, <a class="el" href="polyhedron_8c_source.html#l04645">p_simplify_constraints()</a>, <a class="el" href="polyparam_8c_source.html#l00103">PDomainDifference()</a>, <a class="el" href="polyparam_8c_source.html#l00062">PDomainIntersection()</a>, <a class="el" href="polyparam_8c_source.html#l00756">Poly2Sat()</a>, <a class="el" href="polyhedron_8c_source.html#l02056">Polyhedron2Constraints()</a>, <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, <a class="el" href="polyhedron_8c_source.html#l02198">Polyhedron_Compute_Dual()</a>, <a class="el" href="polyhedron_8c_source.html#l02796">Polyhedron_Copy()</a>, <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l04089">Polyhedron_Image()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l04002">Polyhedron_Preimage()</a>, <a class="el" href="ehrhart_8c_source.html#l00744">Polyhedron_Preprocess()</a>, <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>, <a class="el" href="polyhedron_8c_source.html#l04623">Polyhedron_PrintConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02388">PolyhedronIncludes()</a>, <a class="el" href="alpha_8c_source.html#l00144">PolyhedronLTQ()</a>, <a class="el" href="polyparam_8c_source.html#l00882">PreElim_Columns()</a>, <a class="el" href="polyparam_8c_source.html#l01693">Print_Domain()</a>, <a class="el" href="polyparam_8c_source.html#l01014">Recession_Cone()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, <a class="el" href="polyparam_8c_source.html#l00615">scan_m_face()</a>, <a class="el" href="polyhedron_8c_source.html#l03120">SimplifyConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l03207">SimplifyEqualities()</a>, <a class="el" href="polyhedron_8c_source.html#l03372">Stras_DomainSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l02508">SubConstraint()</a>, and <a class="el" href="polyhedron_8c_source.html#l01748">Universe_Polyhedron()</a>.</p>

</div>
</div>
<a class="anchor" id="a2a02cea8b7ba3dde415041b8b2373bc8"></a><!-- doxytag: member="polyhedron::Dimension" ref="a2a02cea8b7ba3dde415041b8b2373bc8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structpolyhedron.html#a2a02cea8b7ba3dde415041b8b2373bc8">polyhedron::Dimension</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00110">110</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l02293">AddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02661">AddRays()</a>, <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="verif__ehrhart_8c_source.html#l00078">check_poly()</a>, <a class="el" href="ehrhart_8c_source.html#l00636">cherche_min()</a>, <a class="el" href="eval__ehrhart_8c_source.html#l00158">compute_poly()</a>, <a class="el" href="matrix__addon_8c_source.html#l00032">constraintsView()</a>, <a class="el" href="polyhedron_8c_source.html#l04351">DomainAddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02750">DomainAddRays()</a>, <a class="el" href="polyhedron_8c_source.html#l04685">DomainConstraintSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l04223">DomainCost()</a>, <a class="el" href="polyhedron_8c_source.html#l03608">DomainDifference()</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="polyhedron_8c_source.html#l03260">DomainSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l03493">DomainUnion()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="ehrhart_8c_source.html#l01738">Enumerate_NoParameters()</a>, <a class="el" href="polyparam_8c_source.html#l01068">Find_m_faces()</a>, <a class="el" href="Lattice_8c_source.html#l00990">FindHermiteBasisofDomain()</a>, <a class="el" href="polyhedron_8c_source.html#l02902">FindSimple()</a>, <a class="el" href="polyparam_8c_source.html#l00809">GenParamPolyhedron()</a>, <a class="el" href="homogenization_8c_source.html#l00031">homogenize()</a>, <a class="el" href="eval__ehrhart_8c_source.html#l00043">in_domain()</a>, <a class="el" href="ranking_8c_source.html#l00051">LexSmaller()</a>, <a class="el" href="polyhedron_8c_source.html#l03805">lower_upper_bounds()</a>, <a class="el" href="ehrhart__ranking_8c_source.html#l00027">main()</a>, <a class="el" href="ehrhart_8c_source.html#l01063">old_Polyhedron_Preprocess()</a>, <a class="el" href="polyhedron_8c_source.html#l04645">p_simplify_constraints()</a>, <a class="el" href="polyparam_8c_source.html#l01896">Param_Polyhedron_Scale_Integer()</a>, <a class="el" href="polyparam_8c_source.html#l00103">PDomainDifference()</a>, <a class="el" href="polyparam_8c_source.html#l00062">PDomainIntersection()</a>, <a class="el" href="polyparam_8c_source.html#l00756">Poly2Sat()</a>, <a class="el" href="polyhedron_8c_source.html#l02056">Polyhedron2Constraints()</a>, <a class="el" href="polyparam_8c_source.html#l01771">Polyhedron2Param_Domain()</a>, <a class="el" href="polyparam_8c_source.html#l01816">Polyhedron2Param_SimplifiedDomain()</a>, <a class="el" href="polyhedron_8c_source.html#l02639">Polyhedron2Rays()</a>, <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, <a class="el" href="polyhedron_8c_source.html#l02198">Polyhedron_Compute_Dual()</a>, <a class="el" href="polyhedron_8c_source.html#l02796">Polyhedron_Copy()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l04089">Polyhedron_Image()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>, <a class="el" href="alpha_8c_source.html#l00104">Polyhedron_Not_Empty()</a>, <a class="el" href="polyhedron_8c_source.html#l04002">Polyhedron_Preimage()</a>, <a class="el" href="ehrhart_8c_source.html#l00744">Polyhedron_Preprocess()</a>, <a class="el" href="ehrhart_8c_source.html#l00899">Polyhedron_Preprocess2()</a>, <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>, <a class="el" href="polyhedron_8c_source.html#l04623">Polyhedron_PrintConstraints()</a>, <a class="el" href="ranking_8c_source.html#l00223">Polyhedron_Ranking()</a>, <a class="el" href="polyhedron_8c_source.html#l03743">Polyhedron_Scan()</a>, <a class="el" href="polyhedron_8c_source.html#l02388">PolyhedronIncludes()</a>, <a class="el" href="alpha_8c_source.html#l00144">PolyhedronLTQ()</a>, <a class="el" href="polyparam_8c_source.html#l00882">PreElim_Columns()</a>, <a class="el" href="polyparam_8c_source.html#l01693">Print_Domain()</a>, <a class="el" href="ehrhart__union_8c_source.html#l00112">recurse()</a>, <a class="el" href="polyparam_8c_source.html#l00615">scan_m_face()</a>, <a class="el" href="polyhedron_8c_source.html#l03120">SimplifyConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l03207">SimplifyEqualities()</a>, <a class="el" href="polyhedron_8c_source.html#l03372">Stras_DomainSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l02508">SubConstraint()</a>, <a class="el" href="testCompressParms_8c_source.html#l00071">test_Constraints_Remove_parm_eqs()</a>, <a class="el" href="testCompressParms_8c_source.html#l00139">test_Polyhedron_Remove_parm_eqs()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>.</p>

</div>
</div>
<a class="anchor" id="ac1fb864c352ef93ef3030c35e98c2aed"></a><!-- doxytag: member="polyhedron::flags" ref="ac1fb864c352ef93ef3030c35e98c2aed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structpolyhedron.html#ac1fb864c352ef93ef3030c35e98c2aed">polyhedron::flags</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00124">124</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, and <a class="el" href="polyhedron_8c_source.html#l02796">Polyhedron_Copy()</a>.</p>

</div>
</div>
<a class="anchor" id="a9e7c80deeddf472a57bd54217f75c717"></a><!-- doxytag: member="polyhedron::NbBid" ref="a9e7c80deeddf472a57bd54217f75c717" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structpolyhedron.html#a9e7c80deeddf472a57bd54217f75c717">polyhedron::NbBid</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00110">110</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l02293">AddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="polyparam_8c_source.html#l01033">ComputeNPLinesRays()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="polyhedron_8c_source.html#l01715">Empty_Polyhedron()</a>, <a class="el" href="polyparam_8c_source.html#l01068">Find_m_faces()</a>, <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, <a class="el" href="polyhedron_8c_source.html#l02796">Polyhedron_Copy()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l04089">Polyhedron_Image()</a>, <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, <a class="el" href="polyhedron_8c_source.html#l03120">SimplifyConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02508">SubConstraint()</a>, and <a class="el" href="polyhedron_8c_source.html#l01748">Universe_Polyhedron()</a>.</p>

</div>
</div>
<a class="anchor" id="a2db05293e731089b9198d45cf027bd1c"></a><!-- doxytag: member="polyhedron::NbConstraints" ref="a2db05293e731089b9198d45cf027bd1c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structpolyhedron.html#a2db05293e731089b9198d45cf027bd1c">polyhedron::NbConstraints</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00110">110</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l00314">Add_CEqualities()</a>, <a class="el" href="polyhedron_8c_source.html#l02293">AddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02661">AddRays()</a>, <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="matrix__addon_8c_source.html#l00032">constraintsView()</a>, <a class="el" href="polyhedron_8c_source.html#l04404">Disjoint_Domain()</a>, <a class="el" href="polyhedron_8c_source.html#l03608">DomainDifference()</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="polyhedron_8c_source.html#l03260">DomainSimplify()</a>, <a class="el" href="polyparam_8c_source.html#l01068">Find_m_faces()</a>, <a class="el" href="Lattice_8c_source.html#l00990">FindHermiteBasisofDomain()</a>, <a class="el" href="polyhedron_8c_source.html#l02902">FindSimple()</a>, <a class="el" href="homogenization_8c_source.html#l00031">homogenize()</a>, <a class="el" href="eval__ehrhart_8c_source.html#l00043">in_domain()</a>, <a class="el" href="ranking_8c_source.html#l00051">LexSmaller()</a>, <a class="el" href="polyhedron_8c_source.html#l03805">lower_upper_bounds()</a>, <a class="el" href="ehrhart_8c_source.html#l01063">old_Polyhedron_Preprocess()</a>, <a class="el" href="polyhedron_8c_source.html#l04645">p_simplify_constraints()</a>, <a class="el" href="polyparam_8c_source.html#l00103">PDomainDifference()</a>, <a class="el" href="polyparam_8c_source.html#l00062">PDomainIntersection()</a>, <a class="el" href="polyparam_8c_source.html#l00756">Poly2Sat()</a>, <a class="el" href="polyhedron_8c_source.html#l02056">Polyhedron2Constraints()</a>, <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, <a class="el" href="polyhedron_8c_source.html#l02198">Polyhedron_Compute_Dual()</a>, <a class="el" href="polyhedron_8c_source.html#l02796">Polyhedron_Copy()</a>, <a class="el" href="polyhedron_8c_source.html#l04089">Polyhedron_Image()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l04002">Polyhedron_Preimage()</a>, <a class="el" href="ehrhart_8c_source.html#l00744">Polyhedron_Preprocess()</a>, <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>, <a class="el" href="polyhedron_8c_source.html#l04623">Polyhedron_PrintConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02388">PolyhedronIncludes()</a>, <a class="el" href="alpha_8c_source.html#l00144">PolyhedronLTQ()</a>, <a class="el" href="polyparam_8c_source.html#l01693">Print_Domain()</a>, <a class="el" href="polyparam_8c_source.html#l01014">Recession_Cone()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, <a class="el" href="polyparam_8c_source.html#l00615">scan_m_face()</a>, <a class="el" href="polyhedron_8c_source.html#l03120">SimplifyConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l03372">Stras_DomainSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l02508">SubConstraint()</a>, and <a class="el" href="polyparam_8c_source.html#l00363">traite_m_face()</a>.</p>

</div>
</div>
<a class="anchor" id="af316f6440017b2e02fa3a387b2818cc9"></a><!-- doxytag: member="polyhedron::NbEq" ref="af316f6440017b2e02fa3a387b2818cc9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structpolyhedron.html#af316f6440017b2e02fa3a387b2818cc9">polyhedron::NbEq</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00110">110</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l02661">AddRays()</a>, <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="polyparam_8c_source.html#l01366">Compute_PDomains()</a>, <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="polyparam_8c_source.html#l00955">Elim_Columns()</a>, <a class="el" href="polyhedron_8c_source.html#l01715">Empty_Polyhedron()</a>, <a class="el" href="polyparam_8c_source.html#l01068">Find_m_faces()</a>, <a class="el" href="polyparam_8c_source.html#l00103">PDomainDifference()</a>, <a class="el" href="polyparam_8c_source.html#l00062">PDomainIntersection()</a>, <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, <a class="el" href="polyhedron_8c_source.html#l02796">Polyhedron_Copy()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l04089">Polyhedron_Image()</a>, <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>, <a class="el" href="polyparam_8c_source.html#l00882">PreElim_Columns()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, <a class="el" href="polyhedron_8c_source.html#l03207">SimplifyEqualities()</a>, and <a class="el" href="polyhedron_8c_source.html#l01748">Universe_Polyhedron()</a>.</p>

</div>
</div>
<a class="anchor" id="a74cba037f5ac1c7182bf960d79d3f124"></a><!-- doxytag: member="polyhedron::NbRays" ref="a74cba037f5ac1c7182bf960d79d3f124" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structpolyhedron.html#a74cba037f5ac1c7182bf960d79d3f124">polyhedron::NbRays</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00110">110</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l02293">AddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02661">AddRays()</a>, <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="polyparam_8c_source.html#l01033">ComputeNPLinesRays()</a>, <a class="el" href="polyhedron_8c_source.html#l03574">DomainConvex()</a>, <a class="el" href="polyhedron_8c_source.html#l04223">DomainCost()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="ehrhart_8c_source.html#l01738">Enumerate_NoParameters()</a>, <a class="el" href="Lattice_8c_source.html#l00990">FindHermiteBasisofDomain()</a>, <a class="el" href="polyhedron_8c_source.html#l02902">FindSimple()</a>, <a class="el" href="polyparam_8c_source.html#l00809">GenParamPolyhedron()</a>, <a class="el" href="polyparam_8c_source.html#l00756">Poly2Sat()</a>, <a class="el" href="polyhedron_8c_source.html#l02639">Polyhedron2Rays()</a>, <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, <a class="el" href="polyhedron_8c_source.html#l02796">Polyhedron_Copy()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l04089">Polyhedron_Image()</a>, <a class="el" href="ehrhart_8c_source.html#l00899">Polyhedron_Preprocess2()</a>, <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>, <a class="el" href="polyhedron_8c_source.html#l02388">PolyhedronIncludes()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, <a class="el" href="polyhedron_8c_source.html#l03120">SimplifyConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02508">SubConstraint()</a>, and <a class="el" href="polyparam_8c_source.html#l00363">traite_m_face()</a>.</p>

</div>
</div>
<a class="anchor" id="aab97126cb9e56431d40eaf4e68b3953d"></a><!-- doxytag: member="polyhedron::next" ref="aab97126cb9e56431d40eaf4e68b3953d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structpolyhedron.html">polyhedron</a>* <a class="el" href="structpolyhedron.html#aab97126cb9e56431d40eaf4e68b3953d">polyhedron::next</a><code> [read]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00115">115</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l00314">Add_CEqualities()</a>, <a class="el" href="polyhedron_8c_source.html#l02432">AddPolyToDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00680">AffConstraints()</a>, <a class="el" href="disjoint__union__adj_8c_source.html#l00041">AffContraintes()</a>, <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="ehrhart_8c_source.html#l00636">cherche_min()</a>, <a class="el" href="polyparam_8c_source.html#l01366">Compute_PDomains()</a>, <a class="el" href="ehrhart_8c_source.html#l01145">count_points()</a>, <a class="el" href="polyhedron_8c_source.html#l04404">Disjoint_Domain()</a>, <a class="el" href="polyhedron_8c_source.html#l02823">Domain_Copy()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l04638">Domain_PrintConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l04351">DomainAddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02750">DomainAddRays()</a>, <a class="el" href="polyhedron_8c_source.html#l04685">DomainConstraintSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l03574">DomainConvex()</a>, <a class="el" href="polyhedron_8c_source.html#l03608">DomainDifference()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="polyhedron_8c_source.html#l04061">DomainPreimage()</a>, <a class="el" href="polyhedron_8c_source.html#l03260">DomainSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l03493">DomainUnion()</a>, <a class="el" href="alpha_8c_source.html#l00049">exist_points()</a>, <a class="el" href="eval__ehrhart_8c_source.html#l00043">in_domain()</a>, <a class="el" href="ranking_8c_source.html#l00051">LexSmaller()</a>, <a class="el" href="disjoint__union__adj_8c_source.html#l00051">main()</a>, <a class="el" href="ehrhart_8c_source.html#l01246">P_Enum()</a>, <a class="el" href="polyparam_8c_source.html#l00103">PDomainDifference()</a>, <a class="el" href="polyparam_8c_source.html#l00062">PDomainIntersection()</a>, <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, <a class="el" href="polyhedron_8c_source.html#l02198">Polyhedron_Compute_Dual()</a>, <a class="el" href="ranking_8c_source.html#l00192">Polyhedron_LexSmallerEnumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>, <a class="el" href="polyhedron_8c_source.html#l03743">Polyhedron_Scan()</a>, <a class="el" href="alpha_8c_source.html#l00144">PolyhedronLTQ()</a>, <a class="el" href="polyparam_8c_source.html#l01693">Print_Domain()</a>, <a class="el" href="polyhedron_8c_source.html#l03372">Stras_DomainSimplify()</a>, and <a class="el" href="ehrhart__union_8c_source.html#l00026">Union_Read()</a>.</p>

</div>
</div>
<a class="anchor" id="a3681618067c7bf2a0bd5e805871283f5"></a><!-- doxytag: member="polyhedron::p_Init" ref="a3681618067c7bf2a0bd5e805871283f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Value* <a class="el" href="structpolyhedron.html#a3681618067c7bf2a0bd5e805871283f5">polyhedron::p_Init</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00113">113</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="homogenization_8c_source.html#l00031">homogenize()</a>, <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, <a class="el" href="polyhedron_8c_source.html#l02198">Polyhedron_Compute_Dual()</a>, and <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>.</p>

</div>
</div>
<a class="anchor" id="ac2aa52aede2212101bd130ba7a67663a"></a><!-- doxytag: member="polyhedron::p_Init_size" ref="ac2aa52aede2212101bd130ba7a67663a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structpolyhedron.html#ac2aa52aede2212101bd130ba7a67663a">polyhedron::p_Init_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00114">114</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, and <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>.</p>

</div>
</div>
<a class="anchor" id="a1332db86327e189effc8798ab230f36a"></a><!-- doxytag: member="polyhedron::Ray" ref="a1332db86327e189effc8798ab230f36a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Value** <a class="el" href="structpolyhedron.html#a1332db86327e189effc8798ab230f36a">polyhedron::Ray</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00112">112</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l02293">AddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02661">AddRays()</a>, <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="polyparam_8c_source.html#l01033">ComputeNPLinesRays()</a>, <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="polyhedron_8c_source.html#l03574">DomainConvex()</a>, <a class="el" href="polyhedron_8c_source.html#l04223">DomainCost()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="ehrhart_8c_source.html#l01738">Enumerate_NoParameters()</a>, <a class="el" href="Lattice_8c_source.html#l00990">FindHermiteBasisofDomain()</a>, <a class="el" href="polyhedron_8c_source.html#l02902">FindSimple()</a>, <a class="el" href="polyparam_8c_source.html#l00809">GenParamPolyhedron()</a>, <a class="el" href="polyparam_8c_source.html#l00756">Poly2Sat()</a>, <a class="el" href="polyhedron_8c_source.html#l02639">Polyhedron2Rays()</a>, <a class="el" href="polyhedron_8c_source.html#l01556">Polyhedron_Alloc()</a>, <a class="el" href="polyhedron_8c_source.html#l02796">Polyhedron_Copy()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l04089">Polyhedron_Image()</a>, <a class="el" href="ehrhart_8c_source.html#l00899">Polyhedron_Preprocess2()</a>, <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>, <a class="el" href="polyhedron_8c_source.html#l02388">PolyhedronIncludes()</a>, <a class="el" href="polyhedron_8c_source.html#l00859">Remove_Redundants()</a>, <a class="el" href="polyhedron_8c_source.html#l03120">SimplifyConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02508">SubConstraint()</a>, <a class="el" href="polyparam_8c_source.html#l00363">traite_m_face()</a>, and <a class="el" href="polyhedron_8c_source.html#l01748">Universe_Polyhedron()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="types_8h_source.html">types.h</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
